Package org.springframework.security.core.session

# Class SessionDestroyedEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.core.session.AbstractSessionEvent
org.springframework.security.core.session.SessionDestroyedEvent

All Implemented Interfaces:
  `Serializable`

public abstract class SessionDestroyedEvent extends AbstractSessionEvent
Generic "session termination" event which indicates that a session (potentially represented by a security context) has ended.

Since:
  3.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SessionDestroyedEvent(Object source)`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getId()`
`abstract List<SecurityContext>`
`getSecurityContexts()`
Provides the `SecurityContext` instances which were associated with the destroyed session.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionDestroyedEvent

public SessionDestroyedEvent(Object source)

## Method Details

### getSecurityContexts

public abstract List<SecurityContext> getSecurityContexts()
Provides the `SecurityContext` instances which were associated with the destroyed session. Usually there will be only one security context per session.

Returns:
  the `SecurityContext` instances which were stored in the current session (an empty list if there are none).

### getId

public abstract String getId()

Returns:
  the identifier associated with the destroyed session.